PUT /api/v3/drive-templates/{lcuid}¶
Summary¶
PUT /drive-templates/{lcuid}
Description¶
Update an existing drive template
Tags: templates
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Required: Yes
Content Type: application/json¶
Schema¶
Type: object
Required fields: name, templates, variants, assets
Properties:
name(string) (required): The name of the drive templatedescription(string): The description of the drive templatetemplates(string) (required): JSON string containing the template datavariants(string) (required): JSON string containing the variants dataassets(string) (required): JSON string containing the assets data
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates if the request was successfuldrive_template(object) Type:object
Properties:
name(string)description(string)status(integer)-
templates(object) Type:objectProperties:
base(object) Type:object
Properties:
updated_template_data(string)render_app_version(string)
-
variants(array)- Array items:
objectType:object
Properties:
css(string)
- Array items:
-
assets(array)- Array items:
array
- Array items:
-
options(object) Type:objectProperties:
_init(array)data_source_macro_scope_cache(object) Type:object
Properties:
has_data_source_scoped_macros(boolean)data_source_scoped_macros(array)linked_data_source_scoped_macro_feed_providers(array)-
linked_data_source_scoped_macro_feeds(array) -
template_attached_to_missing_feeds(string)
-
lcuid(string) inventory_item_class(array)public(integer)template_hash(string)created_at(string)updated_at(string)inventory_item_class_data(array)-
parent(object) Type:objectProperties:
name(string)options(object) Type:object
Properties:
primary_image_public_url(string)-
primary_image_background_removed_public_url(string) -
lcuid(string) slug(string)website(string)description(string)created_at(string)inventory_item_class(array)- Array items:
string account_class(string)inventory_item_class_description(string)account_class_description(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"drive_template": {
"name": "Updated Template Name",
"description": "Updated description",
"status": 0,
"templates": {
"base": {
"updated_template_data": "new_value",
"render_app_version": "v1"
}
},
"variants": [
{
"css": "updated css here"
}
],
"assets": [
[]
],
"options": {
"_init": [],
"data_source_macro_scope_cache": {
"has_data_source_scoped_macros": false,
"data_source_scoped_macros": [],
"linked_data_source_scoped_macro_feed_providers": [],
"linked_data_source_scoped_macro_feeds": []
},
"template_attached_to_missing_feeds": null
},
"lcuid": "LCUID-LDT-a06bfad9-ce7b-44e4-8d2d-63cebf4531c6",
"inventory_item_class": [],
"public": 0,
"template_hash": "a485d63ba1aead0dd20ba94fff35b7e4",
"created_at": "2026-02-03T18:07:35.000000Z",
"updated_at": "2026-02-03T18:07:36.000000Z",
"inventory_item_class_data": [],
"parent": {
"name": "Test Account",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-ab29834f-d3da-4c1d-bef0-504969ecb23f",
"slug": "UnitTestAccountQ37vx",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-02-03T18:07:35.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"is_parent_account": false
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request PUT \
--url "https://api.lucit.app/api/v3/drive-templates/{lcuid}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/drive-templates/{lcuid}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "PUT",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://api.lucit.app/api/v3/drive-templates/{lcuid}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/drive-templates/{lcuid}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.put(url, headers=headers)
print(response.json())